
TYPO3.Flow - Bug # 45609

Status: Resolved Priority: Must have
Author: Benno Weinzierl Category: Session
Created: 2013-02-19 Assigned To:
Updated: 2013-05-02 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: If authenticated initializeObject() in every session-scope object is called twice
Description

After a account is authenticated the initializeObject Method of every session-scope object is called two times instead of one.

Associated revisions
Revision 609de0da - 2013-04-23 12:57 - Benno Weinzierl

[BUGFIX] initializeObject is no longer executed twice

In every session-scope object initializeObject() was
called twice as soon as the session is started.
Now initializeObject() is only called once.

Change-Id: If232e737d325a4ac0ba1bbe06044ff48af18873a
Fixes: #45609
Releases: master, 2.0

Revision 298ee692 - 2013-05-01 11:38 - Benno Weinzierl

[BUGFIX] initializeObject is no longer executed twice

In every session-scope object initializeObject() was
called twice as soon as the session is started.
Now initializeObject() is only called once.

Change-Id: If232e737d325a4ac0ba1bbe06044ff48af18873a
Fixes: #45609
Releases: master, 2.0

History
#1 - 2013-04-22 22:36 - Benno Weinzierl

After some more testing i noticed that this happens not only after authentication.
It happens with any session scope object when the session is started.

#2 - 2013-04-22 23:08 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20094

#3 - 2013-04-23 11:21 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20104

#4 - 2013-04-23 11:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20094

#5 - 2013-04-23 12:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20094

#6 - 2013-05-01 11:38 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20370

#7 - 2013-05-02 17:37 - Benno Weinzierl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:298ee692ee2381d0b525e4da071ac9a3307e05b5.
